summaryrefslogtreecommitdiffstats
path: root/debian/pciutils.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/pciutils.preinst')
-rw-r--r--debian/pciutils.preinst23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/pciutils.preinst b/debian/pciutils.preinst
new file mode 100644
index 0000000..c72f2b5
--- /dev/null
+++ b/debian/pciutils.preinst
@@ -0,0 +1,23 @@
+#!/bin/sh
+# preinst script for pciutils
+
+set -e
+
+case "$1" in
+install|upgrade)
+ for ext in new neww old
+ do
+ rm -f $DPKG_ROOT/var/lib/pciutils/pci.ids.$ext
+ done
+ ;;
+abort-upgrade)
+ ;;
+*)
+ echo "preinst called with unknown argument '$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0